To get all VLAN/Q-in-Q mappings currently configured, send the following request:
GET https://<IA_IP_address>:<port_number>/config/v1/rbac/vlan/mappings
Required header:
Cookie: px=<token>
Note
To use this request, your user account must be assigned to the Admin role.
Options
IA_IP_address—The IP address of the NDR appliance running the NDR API.
port_number—The port number of the NDR appliance running the NDR API.
token—This token authenticates the session. By default, the session times out after 24 hours.
Example
GET https://xxx.xxx.xxx.xxx:443/config/v1/rbac/vlan/mappings
Required header:
Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
VLAN/Q-in-Q mappings: Response
HTTP/1.1 [Response Code] [Response Message]
Server: [Server]
Date: [Date]
[
{
"alias":"wheel",
"group":"wheel",
"user":"klish_menu",
"modified":"2019-05-28T06:17:02Z",
"type":"vlan",
"vlanRanges":[
{
"tagStart":1,
"tagEnd":1
},
{
"tagStart":1,
"tagEnd":101
}
]
},
{
"alias":"vlan1",
"group":"vlan1",
"user":"klish_menu",
"modified":"2019-05-28T03:41:31Z",
"type":"vlan",
"vlanRanges":[
{
"tagStart":101,
"tagEnd":109
}
]
},
{
"alias":"qinq1",
"group":"qinq1",
"user":"klish_menu",
"modified":"2019-05-28T03:41:31Z",
"type":"qinq",
"qinqRanges":[
{
"outerTag":103,
"innerTags":[
{
"tagStart":101,
"tagEnd":109
}
]
}
]
}
]Response fields
alias—The primary key.group—The Active Directory/LDAP group name.user—The logger modification user name.modified—The modified timestamp in ISO 8601 format.type—The policy type; can bevlan,qinq, or_all.tagsStart/tagEnd—Start and end of VLAN or Q-in-Q range.outerTag—Tag for Q-in-Q range.innerTags—Tags for ranges.
cURL code sample: VLAN/Q-in-Q mappings
curl -k --cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" https://xxx.xxx.xxx.xxx:443/config/v1/rbac/vlan/mappings
This cURL sample includes the following options:
-k—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate.--cookie "px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"—This option specifies the authentication token for this session.https://xxx.xxx.xxx.xxx:443/config/v1/rbac/vlan/mappings—The request URL. Replacexxx.xxx.xxx.xxxwith the IP address of your NDR appliance.
Results
This example retrieves all VLAN/Q-in-Q mappings.